%global momorel 3
%define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")
%define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")

%global elementtree_ver 1.2.6
%global elementtree_date 20050316
%global md5sum_src0 e1b21716be8bfff8bf192fc3880ad008

%global cElementTree_ver 1.0.2
%global cElementTree_date 20050302
%global md5sum_src1 70372441ffa9e45233876b024bf66bbe

Name:           python-elementtree
Version:        %{elementtree_ver}
Release:        %{momorel}m
Summary:        Fast XML parser and writer
Group:          Development/Libraries
License:				see "README"
%NoSource 0     http://effbot.org/downloads/elementtree-%{elementtree_ver}-%{elementtree_date}.tar.gz %{md5sum_src0}
%NoSource 1     http://effbot.org/downloads/cElementTree-%{cElementTree_ver}-%{cElementTree_date}.tar.gz %{md5sum_src1}
Source2:        cElementTree-system-expat-setup.py
BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires:  expat-devel, python-devel
Requires:				python

%description
The Element type is a simple but flexible container object, designed
to store hierarchical data structures, such as simplified XML
infosets, in memory. The element type can be described as a cross
between a Python list and a Python dictionary.

This package also includes the C implementation, cElementTree

%prep
%setup -q -a1 -n elementtree-%{elementtree_ver}-%{elementtree_date}
(cd cElementTree-%{cElementTree_ver}-%{cElementTree_date}
mv -f setup.py setup.py.orig
cp -f %{SOURCE2} setup.py
cp -f README ../README-cElementTree
cp -f CHANGES ../CHANGES-cElementTree
)

%build
python setup.py build
(cd cElementTree-%{cElementTree_ver}-%{cElementTree_date}
CFLAGS="$RPM_OPT_FLAGS" python setup.py build
)

%install
rm -rf %{buildroot}
python setup.py install -O1 --skip-build --root %{buildroot}
(cd cElementTree-%{cElementTree_ver}-%{cElementTree_date}
python setup.py install -O1 --skip-build --root %{buildroot}
)

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc docs samples README* CHANGES* benchmark.py
%{python_sitelib}/elementtree/*
%{python_sitearch}/*.so

%changelog
* Tue Nov 1 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.2.6-3m)
- rebuild against python-2.4.2

* Fri Apr 22 2005 Toru Hoshina <t@momonga-linux.org>
- (1.2.6-2m)
- python scripts don't need to be located by %%{_libdir} 'cause they are "noarch".

* Thu Apr 21 2005 Mitsuru Shimamura <smbd@momonga-linux.org>
- (1.2.6-1m)
- welcome to momonga


